Package org.apache.qpid.proton.amqp.security

# Class SaslResponse

java.lang.Object
org.apache.qpid.proton.amqp.security.SaslResponse

All Implemented Interfaces:
  `SaslFrameBody`

public final class SaslResponse extends Object implements SaslFrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.security.SaslFrameBody

`SaslFrameBody.SaslFrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`SaslResponse()`

## Method Summary

Modifier and Type
Method
Description
`Binary`
`getResponse()`
`<E> void`
`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setResponse(Binary response)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SaslResponse

public SaslResponse()

## Method Details

### getResponse

public Binary getResponse()

### setResponse

public void setResponse(Binary response)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### invoke

public <E> void invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `SaslFrameBody`